<?php

	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
	if($level==0 OR $ban!=0)

{

		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><div class="ch"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';

}else{

	$PAGINGS = mysql_query("SELECT * FROM `planet` ORDER BY `id` DESC");
	if($PAGINGS > 0)
	{
		while($row = mysql_fetch_array($PAGINGS))
		{	
		$chance=rand(1,10);
		if($chance>=8){
		echo '<div class="conts">КораблЪ';
		$spaceship=rand(1,4);
		if($spaceship==1){$xs=$row['x']; $ys=$row['y']-1;}
		if($spaceship==2){$xs=$row['x']; $ys=$row['y']+1;}
		if($spaceship==3){$xs=$row['x']-1; $ys=$row['y'];}
		if($spaceship==4){$xs=$row['x']+1; $ys=$row['y'];}
		mysql_query("INSERT INTO `doklad` SET `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['uid'])))))))."', `time`='" . time() . "', `type`=4, `text`='Древний корабль Зелл-Нага появился в окресностях вашей планеты <b>".$row['name']."</b> по координатам x:".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($xs)))))))." y:".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($ys))))))).". Вы можете исследовать его и возможно найти какой то интересный артефакт';");
		mysql_query("INSERT INTO `sector_loc` SET `uid`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['uid'])))))))."', `fr_id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($fr_id)))))))."', `loc`=6, `planet`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['id'])))))))."', `x`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($xs)))))))."', `y`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($ys)))))))."', `time`='" . time() . "';");

		echo '</div>';
		}}		
		
	
	}
}
	
			
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer.php';
?>